package net.minecraft.network.login.client;

import java.io.IOException;

import proxy.network.NetHandlerLoginServer;
import proxy.network.Packet;
import proxy.network.PacketBuffer;

public class C00PacketLoginStart implements Packet<NetHandlerLoginServer>
{
    private String profile;

    public C00PacketLoginStart()
    {
    }

    public C00PacketLoginStart(String profileIn)
    {
        this.profile = profileIn;
    }

    /**
     * Reads the raw packet data from the data stream.
     */
    public void readPacketData(PacketBuffer buf) throws IOException
    {
        this.profile = buf.readStringFromBuffer(16);
    }

    /**
     * Writes the raw packet data to the data stream.
     */
    public void writePacketData(PacketBuffer buf) throws IOException
    {
        buf.writeString(this.profile);
    }

    /**
     * Passes this Packet on to the NetHandler for processing.
     */
    public void processPacket(NetHandlerLoginServer handler)
    {
        handler.processLoginStart(this);
    }

    public String getProfile()
    {
        return this.profile;
    }
}
