package net.minecraft.network.login.server;

import java.io.IOException;

import proxy.network.NetHandlerPlayServer.ProxyLoginHandler;
import proxy.network.Packet;
import proxy.network.PacketBuffer;
import proxy.util.ChatComponent;

public class S00PacketDisconnect implements Packet<ProxyLoginHandler>
{
    private ChatComponent reason;

    public S00PacketDisconnect()
    {
    }

    public S00PacketDisconnect(ChatComponent reasonIn)
    {
        this.reason = reasonIn;
    }

    /**
     * Reads the raw packet data from the data stream.
     */
    public void readPacketData(PacketBuffer buf) throws IOException
    {
        this.reason = buf.readChatComponent();
    }

    /**
     * Writes the raw packet data to the data stream.
     */
    public void writePacketData(PacketBuffer buf) throws IOException
    {
        buf.writeChatComponent(this.reason);
    }

    /**
     * Passes this Packet on to the NetHandler for processing.
     */
    public void processPacket(ProxyLoginHandler handler)
    {
        handler.handleDisconnect(this);
    }

    public ChatComponent func_149603_c()
    {
        return this.reason;
    }
}
