package net.minecraft.network.status.server;

import java.io.IOException;

import proxy.network.NetHandlerStatusClient;
import proxy.network.Packet;
import proxy.network.PacketBuffer;

public class S01PacketPong implements Packet<NetHandlerStatusClient>
{
    private long clientTime;

    public S01PacketPong()
    {
    }

    public S01PacketPong(long time)
    {
        this.clientTime = time;
    }

    /**
     * Reads the raw packet data from the data stream.
     */
    public void readPacketData(PacketBuffer buf) throws IOException
    {
        this.clientTime = buf.readLong();
    }

    /**
     * Writes the raw packet data to the data stream.
     */
    public void writePacketData(PacketBuffer buf) throws IOException
    {
        buf.writeLong(this.clientTime);
    }

    /**
     * Passes this Packet on to the NetHandler for processing.
     */
    public void processPacket(NetHandlerStatusClient handler)
    {
        handler.handlePong(this);
    }
}
