package proxy.network;

import net.minecraft.network.status.client.C00PacketServerQuery;
import net.minecraft.network.status.client.C01PacketPing;
import net.minecraft.network.status.server.S00PacketServerInfo;
import net.minecraft.network.status.server.S01PacketPong;
import proxy.Proxy;
import proxy.util.ChatComponent;
import proxy.util.ChatComponentText;

public class NetHandlerStatusServer implements INetHandler {
	private static final ChatComponent EXIT_MESSAGE = new ChatComponentText("Status request has been handled.");
	
	private final Proxy proxy;
	private final NetworkManager networkManager;
	
	private boolean handled;

	public NetHandlerStatusServer(Proxy proxy, NetworkManager netManager) {
		this.proxy = proxy;
		this.networkManager = netManager;
	}

	public void onDisconnect(NetworkManager connection, ChatComponent reason) {
	}

	public void processServerQuery(C00PacketServerQuery packetIn) {
		if(this.handled) {
			this.networkManager.closeChannel(EXIT_MESSAGE);
		}
		else {
			this.handled = true;
			this.networkManager.sendPacket(new S00PacketServerInfo(this.proxy.getStatus()));
		}
	}

	public void processPing(C01PacketPing packetIn) {
		this.networkManager.sendPacket(new S01PacketPong(packetIn.getClientTime()));
		this.networkManager.closeChannel(EXIT_MESSAGE);
	}
}
